<?php
include "../conecta.php";

if( $_POST[nome] )
	$_GET[nome] = $_POST[nome];
if( $_POST[c] )
	$_GET[c] = $_POST[c];



	if( $_GET[i] == 'inserir'){
		$EXTRA .= " AND impo_nb_id NOT IN (SELECT trib_nb_imposto FROM tributacao WHERE trib_tx_status = 'ativo')";
	}


	if( $_GET[c] )
		$EXTRA .= " AND impo_tx_tipo='$_GET[c]'";


	$TABELA = 'imposto';

	
	$TAB = substr($TABELA,0,4);


	cabecalho_combo('');

	$c1 = cactux::campo('Nome:','nome','',10," onkeyup=fecha_combo_net_teclado(event)");
	$busca = cactux::botao_submit("Buscar",2,'index','c',$_GET[c]);
	if( $ARQUIVO )
		$insere = cactux::botao("Inserir",2,'insere');
	$fecha = cactux::botao("Fechar",2,'cancelar'," onclick=fecha_combo_net();");
	$status = cactux::msg_status(4);
	
	cactux::abre_form('get');

	cactux::abre_fieldset($NOME);
	cactux::linha_fieldset($c1,$c2);
	cactux::linha_fieldset($busca,$insere,$fecha,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	cactux::acao_botao('insere','','','',"$ARQUIVO");
	
	

	if( !$_GET[nome] )
		return;
	
	$_GET[nome] = str_replace("%20"," ",$_GET[nome]);
	$_GET[nome] = str_replace(" ","%",$_GET[nome]);
	
	$sql = selecionar($TABELA,$TAB."_tx_status","ativo"," $EXTRA AND ( ".$TAB."_tx_nome LIKE '%$_GET[nome]%' ) ORDER BY ".$TAB."_tx_nome",1);
	
	$_GET[nome] = str_replace("%","%20",$_GET[nome]);
	
	$BUSCA = grid::gerar_paginacao($sql,'acao,nome,c',"index,$_GET[nome],$_GET[c]");

	// inicio do grid
	$cabeca[] = array('CÓD.','NOME');
	$cabeca[] = 'c,e';
	$cabeca[] = '15%,';
	//$cabeca[]='95%';
	
	while( $a = carrega_array($BUSCA[0]) ) {
		$valores[]=array($a[0],".seleciona_combo_net($a[0],'$a[1]')");
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);

?>